%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

# WARNING
# To build this package, you must set LC_ALL to fr
# example : LC_ALL=fr rpm -ba aspell-fr.spec

%define src_ver 0.50-3
%define languagelocal francais
%define languageeng french
%define languageenglazy French
%define languagecode fr
%define lc_ctype fr_FR

Name:		aspell-%{languagecode}
Version:	0.60
Release:	%mkrel 1
Summary:	%{languageenglazy} files for aspell
Group:		System/Internationalization
Source:		http://aspell.sourceforge.net/aspell-%{languagecode}-%{src_ver}.tar.bz2
URL:		http://aspellfr.free.fr/aspell/
License:	GPL
Epoch:		1
Provides: spell-fr

BuildRequires:	aspell >= 0.50
Requires:	aspell >= 0.50

BuildRequires:	locales-fr

# Mageia Stuff
Requires:	locales-%{languagecode}
# aspell = 1, myspell = 2, lang-specific = 3
Provides:	aspell-dictionary

Autoreqprov:	no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{name}-%{src_ver}

%build
export LC_ALL=fr
./configure
%make

%install
export LC_ALL=fr
%makeinstall_std

# fix doc perms
chmod 644 README COPYING

%files
%doc README COPYING
%{_libdir}/aspell-*/*


%changelog
* Fri Apr 22 2016 tv <tv> 1:0.60-1.mga6
+ Revision: 1004907
- new release

* Tue Feb 02 2016 umeabot <umeabot> 1:0.50.3-24.mga6
+ Revision: 932610
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.50.3-23.mga5
+ Revision: 751053
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.50.3-22.mga5
+ Revision: 677941
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.50.3-21.mga4
+ Revision: 502655
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:0.50.3-20.mga3
+ Revision: 346244
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 04 2012 kamil <kamil> 1:0.50.3-19.mga2
+ Revision: 204400
- drop providing of enchant-dictionary
- clean .spec a bit

  + dmorgan <dmorgan>
    - Remove mandriva occurencies

  + ahmad <ahmad>
    - imported package aspell-fr

